<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright (C) 2002 - 2011 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Filename: forum_stats_panel.php
| Author: 
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { die("Access Denied"); }

if (file_exists(INFUSIONS."forum_stats_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."forum_stats_panel/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."forum_stats_panel/locale/Polish-utf8.php";
}

$result = dbquery("SELECT * FROM ".DB_ONLINE." WHERE online_user=".($userdata['user_level'] != 0 ? "'".$userdata['user_id']."'" : "'0' AND online_ip='".USER_IP."'"));
if (dbrows($result)) {
	$result = dbquery("UPDATE ".DB_ONLINE." SET online_lastactive='".time()."' WHERE online_user=".($userdata['user_level'] != 0 ? "'".$userdata['user_id']."'" : "'0' AND online_ip='".USER_IP."'")."");
} else {
	$result = dbquery("INSERT INTO ".DB_ONLINE." (online_user, online_ip, online_lastactive) VALUES ('".($userdata['user_level'] != 0 ? $userdata['user_id'] : "0")."', '".USER_IP."', '".time()."')");
}

opentable($locale['fs1']);

$result = dbquery(
	"SELECT ton.*, tu.user_id,
	tu.user_name,
	tu.user_status FROM ".DB_ONLINE." ton
	LEFT JOIN ".DB_USERS." tu ON ton.online_user=tu.user_id"
);

$guests = 0; $members = array();
while ($data = dbarray($result)) {
	if ($data['online_user'] == "0") {
		$guests++;
	} else {
		array_push($members, array($data['user_id'], $data['user_name'], $data['user_status']));
	}
}

echo "<table cellpadding='0' cellspacing='1' width='100%' class='tbl-border'>\n";
echo "	<tr>\n";

//Guests and Members online
echo "	<tr>\n";
echo "		<td class='tbl1'>\n";
echo "			".THEME_BULLET."&nbsp;".$locale['user0'].":&nbsp;".$guests."&nbsp;<br />".THEME_BULLET."&nbsp;".$locale['user1'].":&nbsp;".count($members)."\n";

if (count($members)) {
	$i = 1;
	
	while (list($key, $member) = each($members)) {
		echo "	<br />".THEME_BULLET."&nbsp;<span class='side'>".profile_link($member[0], $member[1], $member[2])."</span>\n";
		if ($i != count($members)) { echo",\n"; } else { echo "\n"; }
		$i++;
	}
}

echo "</table>\n";

closetable();
?>